/*
 * Copyright 2024 Cendio AB.
 * For more information, see http://www.cendio.com
 */

window.addEventListener("load", inputHandlers);

function inputHandlers() {
    let inputs = Array.from(document.getElementsByTagName("input"));
    if (inputs.length > 0) {
        inputs.forEach((input) => input.addEventListener("click", checkSiblingRadio));
        inputs.forEach((input) => input.addEventListener("input", checkSiblingRadio));
    }
}

function checkSiblingRadio(event) {
    const closest_li = event.target.closest("li");
    if (closest_li == null) {
        return;
    }

    const closest_radio = closest_li.querySelectorAll("input[type='radio']")[0];
    if (closest_radio != null) {
        closest_radio.checked = true;
    }
}
